#@TYPE: Distribution
#@NAME: Jornada Linux Mobility Edition (JLime) <www.jlime.com>
#@DESCRIPTION: Distribution file for JLime (Linux for HP jornada 5xx,6xx,7xx,8xx series)
#@MAINTAINER: Kristoffer Ericson <Kristoffer@jlime.com>

DISTRO_NAME = "jlime"
DISTRO_VERSION = "donkey"

require conf/distro/include/sane-srcdates.inc
require conf/distro/include/sane-srcrevs.inc

export FEED_URLS_jlime = "donkey##http://donkey-${ARCH}.jlime.com"

#<>----------------------------------------------------------------->
#<> No uniroot
#<>-----------------------------------------------------------------<
PREFERRED_PROVIDER_task-bootstrap = "task-bootstrap"

#<>----------------------------------------------------------------->
#<> We will set CVS DATE when things are known to work.
#<>-----------------------------------------------------------------<
PREFERRED_PROVIDERS +=  "virtual/${TARGET_PREFIX}gcc-initial:gcc-cross-initial"
PREFERRED_PROVIDERS +=  "virtual/${TARGET_PREFIX}gcc-intermediate:gcc-cross-intermediate"
PREFERRED_PROVIDERS +=  "virtual/${TARGET_PREFIX}gcc:gcc-cross"
PREFERRED_PROVIDERS +=  "virtual/${TARGET_PREFIX}g++:gcc-cross"
PREFERRED_PROVIDER_virtual/sh3-linux-libc-for-gcc = "glibc"
PREFERRED_PROVIDER_virtual/arm-linux-libc-for-gcc = "glibc"

#<>----------------------------------------------------------------->
#<> We want this so we can crosscompile the kernel using gcc 3.4.3
#<> Also, select version of modules (and kernel)
#<>-----------------------------------------------------------------<
PREFERRED_PROVIDERS +=  "virtual/${TARGET_PREFIX}gcc-3.4.4:gcc-cross-kernel"
PREFERRED_PROVIDER_virtual/kernel = "linux-jlime-${MACHINE}"


#<>----------------------------------------------------------------->
#<>We want kdrive as our default X-Server.
#<>-----------------------------------------------------------------<
PREFERRED_PROVIDER_xserver          = "xserver-kdrive"
PREFERRED_PROVIDER_virtual/xserver  = "xserver-kdrive"
PREFERRED_PROVIDER_virtual/libx11    = "libx11"
require conf/distro/include/preferred-xorg-versions-X11R7.3.inc


#<>----------------------------------------------------------------->
#<>Setting Preferred Binutils,gcc,glibc and linux-libc-headers
#<>-----------------------------------------------------------------<
PREFERRED_VERSION_binutils = "2.18"
PREFERRED_VERSION_binutils-cross = "2.18"
PREFERRED_VERSION_binutils-cross-sdk = "2.18"
PREFERRED_VERSION_gcc = "4.2.2"
PREFERRED_VERSION_gcc-cross = "4.2.2"
PREFERRED_VERSION_gcc-cross-initial = "4.2.2"
PREFERRED_VERSION_gcc-cross-intermediate = "4.2.2"
PREFERRED_VERSION_linux-libc-headers = "2.6.23"                                             		    
PREFERRED_VERSION_glibc = "2.6.1"
PREFERRED_VERSION_glibc-initial = "2.6.1"

#<>------------------------------------------------------------------>
#<>
#<>Setting Preferred xserver-kdrive. Also choose diet-x11 as default libx11.
#<>------------------------------------------------------------------<
#PREFERRED_VERSION_xserver-kdrive = "X11R7.1-1.1.0"
PREFERRED_PROVIDER_tslib          = "tslib"
PREFERRED_PROVIDER_virtual/libsdl = "libsdl-x11"

#<>------------------------------------------------------------------>
#<>
#<>System-critical software with known working versions.
#<>------------------------------------------------------------------<
PREFERRED_VERSION_linux-jlime-jornada6xx = "2.6.24"
PREFERRED_VERSION_udev = "118"
PREFERRED_VERSION_busybox = "1.9.1"

#<>------------------------------------------------------------------>
#<>Other Specific stuff.
#<>
#<>
#<>We want to be able to build this for all jornadas so
#<>to not mess up the folders we need to make them dynamic.
#<>It will use different folders depending on Arch (set in local.conf)
#<>------------------------------------------------------------------<
SRC_DIST_LOCAL = "copy"
INHERIT += "package_ipk package_tar src_distribute_local"
BBINCLUDELOGS = "yes"
IMAGE_FSTYPES = "tar.bz2"
TARGET_OS = "linux"


#<>------------------------------------------------------------------>
#<>What we want on the bootstrap image (extra) 
#<>                                            
#<>------------------------------------------------------------------<
DISTRO_EXTRA_RDEPENDS = "wireless-tools nano keymaps tslib-calibrate tslib-tests console-tools \
                         parted dialog"


#<>------------------------------------------------------------------>
#<>What Qte, libqte.. versions should we use.
#<>------------------------------------------------------------------<
QTE_VERSION = "2.3.10"
PALMTOP_USE_MULTITHREADED_QT = "yes"
OPIE_VERSION = "1.2.3"
require conf/distro/include/preferred-opie-versions-1.2.3.inc


#<>------------------------------------------------------------------>
#<> We want pcmciautils, not pcmcia-cs
#<>------------------------------------------------------------------<
PCMCIA_MANAGER = "pcmciautils"


#<>------------------------------------------------------------------>
#<> We are using gcc 4.1.1 so lets keep optimizations low
#<>------------------------------------------------------------------< 
FULL_OPTIMIZATION = "-O2"


#<>------------------------------------------------------------------>
#<>Our Image files should look abit better.
#<>
#<>------------------------------------------------------------------<
IMAGE_NAME = "${IMAGE_BASENAME}-Donkey-${MACHINE}"


#<>------------------------------------------------------------------>
#<>
#<>
#<> General non-essential programs with known working versions
#<>
#<>------------------------------------------------------------------<
PREFERRED_VERSION_tightvnc = "1.3.9"
PREFERRED_VERSION_xmonobut = "0.4"
PREFERRED_VERSION_konqueror-embedded = "20070212"
#PREFERRED_VERSION_encodings = "X11R7.0-1.0.0"
PREFERRED_VERSION_icewm = "1.2.34"
PREFERRED_VERSION_xchat = "1.8.11"
PREFERRED_VERSION_rxvt = "2.6.4"
